import 'dart:async';
import 'dart:convert';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'language.dart';
import 'package:shared_preferences/shared_preferences.dart';

class MultipleLanguageTranslater {
  static Language ru, kz, en;
  static var lang;
  SharedPreferences sharedLang;
  static const MethodChannel _channel =
  const MethodChannel('multiple_language_translater');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  MultipleLanguageTranslater() {
    ru = Language(
      authorization: "Авторизация",
      userName: "Имя пользователя",
    );
    kz = Language(
      authorization: "Жүйеге кіру",
      userName: "Аты жөні",
    );
    en = Language(
      authorization: "Authorization",
      userName: "Username",
    );
    lang = {'KZ': kz, 'RU': ru, 'EN': en};
  }


  static Future setLanguage(@required language) async {
    MultipleLanguageTranslater();
    SharedPreferences sharedLang = await SharedPreferences.getInstance();
    if (language == 'KZ') {
      String languageString = jsonEncode(lang['KZ']);
      sharedLang.setString('language_global', languageString);
    } else if (language == 'RU') {
      String languageString = jsonEncode(lang['RU']);
      sharedLang.setString('language_global', languageString);
    } else if (language == 'EN') {
      String languageString = jsonEncode(lang['EN']);
      sharedLang.setString('language_global', languageString);
    }
  }

//  Future<dynamic> getWords() async {
//    SharedPreferences shared_pref = await SharedPreferences.getInstance();
//    Map language = jsonDecode(shared_pref.getString('language_global'));
//    var lang = Language.fromJson(language);
//    return lang;
//  }

// MultipleLanguageTranslater.setLanguage('EN');
}
